timsdata.h File Reference

main Tims data handler More...

`#include <QDir>`
`#include <QSqlDatabase>`
`#include "timsbindec.h"`
`#include "timsframe.h"`
`#include "../../massspectrum/qualifiedmassspectrum.h"`
`#include "../../processing/filters/filterinterface.h"`
`#include "../../msrun/xiccoord/xiccoordtims.h"`
`#include "../../msrun/msrunreader.h"`
`#include <deque>`
`#include <QMutex>`
`#include <QSqlQuery>`
`#include "mzcalibration/mzcalibrationstore.h"`

Go to the source code of this file.

## Classes

class | pappso::TimsData
struct | pappso::TimsData::SpectrumDescr
struct | pappso::TimsData::FrameIdDescr

## Namespaces

| pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< TimsData > | pappso::TimsDataSp
| shared pointer on a TimsData object More...

## Detailed Description

main Tims data handler

Date
  27/08/2019

Author
  Olivier Langella

Definition in file timsdata.h.